package com.tax.file.service.api;

import com.tax.file.model.*;
import com.yxcheng.token.common.model.JsonResult;
import com.yxcheng.token.common.service.BaseServiceI;

import java.text.ParseException;
import java.util.List;


public interface FIncomeInvoiceService extends BaseServiceI<FIncomeInvoiceExample,FIncomeInvoice> {

    JsonResult<List<InvoiceApplyRes>> apply(IncomeApplyReq incomeApplyReq);

    JsonResult<IncomeResultRes> result(IncomeResultReq incomeResultReq);

    JsonResult<String> feedback(IncomeResultReq incomeResultReq);

    JsonResult<IncomeQueryRes> query(IncomeQueryReq incomeQueryReq);
}